<?php

namespace App\Server\Payment;

abstract class PaymentProvider
{
    abstract public function init();
    abstract public function pay(string $out_trade_no, string $openId, int $money, string $title);
    abstract public function cash(string $partner_trade_no, string $open_id, float $money);
    abstract public function refund();
}
